.social-icons {
  color: var(--bs-body-bg) !important;
  background-color: var(--bs-body-color) !important;
  padding: 70px 0;
}

@media (max-width:767px) {
  .social-icons {
    padding: 50px 0;
  }
}

@media (max-width:500px) {
  img.profile {
    width: 200px;
    margin-left: -100px;
  }
}

@media (max-width:500px) {
  .profile-container {
    height: 200px;
    margin-top: 2em !important;
  }
}

.social-div {
  display: flex;
  justify-content: center;
  align-items: center;
}

.social-list-sml {
  display: flex;
  list-style: none;
  gap: 1rem;
}

.social-list {
  display: flex;
  list-style: none;
  gap: 2.5rem;
}

.social-icons i {
  color: var(--bs-body-color);
  margin: 0 10px;
  width: 60px;
  height: 60px;
  border: 1px solid var(--bs-body-color);
  text-align: center;
  border-radius: 50%;
  line-height: 60px;
  display: inline-block;
}

.social-link-sml a {
  text-decoration: none;
  width: 3.5rem;
  height: 3.5rem;
  background-color: var(--bs-body-color);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1;
  border: 3px solid var(--bs-body-color);
  overflow: hidden;
}

.social-link a {
  text-decoration: none;
  width: 4.8rem;
  height: 4.8rem;
  background-color: var(--bs-body-color);
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  z-index: 1;
  border: 3px solid var(--bs-body-color);
  overflow: hidden;
}

.social-link-sml a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--bg-color);
  z-index: 0;
  scale: 1 0;
  transform-origin: bottom;
  transition: scale 0.5s ease;
}

.social-link a::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: var(--bg-color);
  z-index: 0;
  scale: 1 0;
  transform-origin: bottom;
  transition: scale 0.5s ease;
}

.social-link-sml:hover a::before {
  scale: 1 1;
}

.social-link:hover a::before {
  scale: 1 1;
}

.icon-sml {
  font-size: 1.5rem;
  color: var(--bs-body-color);
  transition: 0.5s ease;
  z-index: 2;
}

.icon {
  font-size: 2rem;
  color: var(--bs-body-bg);
  transition: 0.5s ease;
  z-index: 2;
}

.social-link a:hover .icon {
  color: var(--icon-color);
  transform: rotateY(360deg);
}

.social-link-sml {
  --bg-color: var(--bs-body-bg);
  --icon-color: var(--bs-body-color);
}

.social-link {
  --bg-color: var(--bs-body-bg);
  --icon-color: var(--bs-body-color);
}

.social-link.discord {
  --bg-color: #5865f2;
  --icon-color: #000;
}

.social-link.mastodon {
  --bg-color: #6364ff;
  --icon-color: #000;
}

.social-link.youtube {
  --bg-color: #ff0000;
  --icon-color: #000;
}

.social-link.linkedin {
  --bg-color: #0077b5;
  --icon-color: #000;
}

.social-link.signal {
  --bg-color: #365eb6;
  --icon-color: #000;
}

.social-link.telegram {
  --bg-color: #0088cc;
  --icon-color: #000;
}

.social-link.tiktok {
  --bg-color: #000000;
  --icon-color: #fff;
}

.social-link-sml.discord {
  --bg-color: #5865f2;
  --icon-color: #000;
}

.social-link-sml.mastodon {
  --bg-color: #6364ff;
  --icon-color: #000;
}

.social-link-sml.youtube {
  --bg-color: #ff0000;
  --icon-color: #000;
}

.social-link-sml.signal {
  --bg-color: #365eb6;
  --icon-color: #000;
}

.social-link-sml.linkedin {
  --bg-color: #0077b5;
  --icon-color: #000;
}

.social-link-sml.telegram {
  --bg-color: #0088cc;
  --icon-color: #000;
}

.social-link-sml.tiktok {
  --bg-color: #000000;
  --icon-color: #fff;
}

